## org.plovr.cli
Class SoyWebCommand

    java.lang.Object
      org.plovr.cli.SoyWebCommand

All Implemented Interfaces:
  CommandRunner

    public class SoyWebCommand

extends java.lang.Object

Constructor Summary
`SoyWebCommand()`

Method Summary
`void` `printUsage()`
`void` `printUsage(org.kohsuke.args4j.CmdLineParser parser)`
`int` `runCommand(java.lang.String[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SoyWebCommand

    public SoyWebCommand()

Method Detail

### runCommand

    public final int runCommand(java.lang.String[] args)
                         throws java.io.IOException

  Specified by:
    `runCommand` in interface `CommandRunner`
  Parameters:
    `args` - the arguments passed to the command, not including the command name
  Returns:
    the appropriate exit code for the command
  Throws:
    `java.io.IOException`

### printUsage

    public final void printUsage()

### printUsage

    public final void printUsage(org.kohsuke.args4j.CmdLineParser parser)